# NOTE: now maintained in xorg-proto-xorgproto.spec
Summary:	Video extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia Video
Name:		xorg-proto-videoproto
Version:	2.3.3
Release:	1.1
License:	MIT
Group:		X11/Development/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/proto/videoproto-%{version}.tar.bz2
# Source0-md5:	fe86de8ea3eb53b5a8f52956c5cd3174
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Video (XVideo) extension headers.

%description -l pl.UTF-8
Nagłówki rozszerzenia Video (XVideo).

%package devel
Summary:	Video extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia Video
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
Video (XVideo) extension headers.

%description devel -l pl.UTF-8
Nagłówki rozszerzenia Video (XVideo).

%prep
%setup -q -n videoproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README xv-protocol-v2.txt
%{_includedir}/X11/extensions/Xv.h
%{_includedir}/X11/extensions/Xvproto.h
%{_includedir}/X11/extensions/XvMC.h
%{_includedir}/X11/extensions/XvMCproto.h
%{_includedir}/X11/extensions/vldXvMC.h
%{_pkgconfigdir}/videoproto.pc
%changelog
* Fri Oct 18 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-proto-videoproto.git;a=log;h=master

* Fri Mar 16 2018 Jakub Bogusz <qboosh@pld-linux.org> d76806f
- xorgproto note

* Mon Feb 19 2018 Jakub Bogusz <qboosh@pld-linux.org> a3f5193
- typo

* Sat Mar 12 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d990e4
- up to 2.3.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 036eeec
- x32 rebuild
- release 2 (by relup.sh)

* Tue Jul 23 2013 Jakub Bogusz <qboosh@pld-linux.org> de0ad01
- updated to 2.3.2

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> c2a2e5a
- dropped pre-cvs changelog

* Wed Aug 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 0f27a1a
- updated BRs
- added README and protocol specs to doc

* Tue Aug 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 374d6d6
- up to 2.3.1

* Mon Sep 28 2009 Jakub Bogusz <qboosh@pld-linux.org> 2b4f9f1
- Video is an extension

* Mon Sep 28 2009 Jakub Bogusz <qboosh@pld-linux.org> c1a45ed
- util-macros version
- more verbose files

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5138c78
- up to 2.3.0

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e7f0d1
- individual url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ba9f7b7
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 431c406
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d7729db
- converted to UTF-8

* Fri Feb 03 2006 Paweł Sikora <pluto@pld-linux.org> bfca6de
- release 1.

* Fri Dec 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 1bfb565
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 62530b1
- 2.2.2 (X11R7.0-RC4)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> d87c725
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 013f7e9
- BR: autoconf >= 2.57

